#ifndef dSensor_h
#define dSensor_h

// Структура сенсоров
typedef struct {
  int ledPin; // PWM Порт
  int currLvl; // текущий уровень
  MyMessage dimmerMsg;
  MyMessage lightMsg;
} dSensor;

dSensor registers[3] = {
  {3, 0, {0, V_DIMMER}, {0, V_LIGHT}},
  {5, 0, {1, V_DIMMER}, {1, V_LIGHT}},
  {6, 0, {2, V_DIMMER}, {2, V_LIGHT}},
};

#define numChannels sizeof(registers) / sizeof(registers[0])

#endif
